Bug 56889 - Close state never dies
Summary: Close state never dies
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mpm_worker (show other bugs)
Version: 2.2.27
Hardware: PC Linux
: P2 normal (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2014-08-26 14:57 UTC by Jason Cullins
Modified: 2018-11-07 21:09 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Cullins 2014-08-26 14:57:40 UTC
I don't know how specifically to re-produce this, but if you look at my server-status screen, you can get the idea of whats going on.

Server Version: Apache/2.2.27 (Unix) mod_ssl/2.2.27 OpenSSL/1.0.1e-fips mod_bwlimited/1.4
Server Built: Aug 2 2014 16:59:02

Current Time: Tuesday, 26-Aug-2014 09:42:10 CDT
Restart Time: Monday, 18-Aug-2014 12:18:07 CDT
Parent Server Generation: 112
Server uptime: 7 days 21 hours 24 minutes 3 seconds
Total accesses: 823505 - Total Traffic: 20.9 GB
CPU Usage: u70.81 s263.16 cu1616.94 cs0 - .286% CPU load
1.21 requests/sec - 32.1 kB/second - 26.6 kB/request
3 requests currently being processed, 317 idle workers
____________________________________________________________R___
...............................C................C...............
....................C.........C.................................
________________________________________________________________
.............................................................C..
..................................C.............................
....................C...........................................
_______________________________________________W________________
.............................C..................................
________________________________________________________________
_____________________R__________________________________________

I'm working with the worker mom, set to 64 threads per process.  There are times when the processes are being restarted gracefully that a particular thread goes into a Closing state and never fully closes.  When this happens, the apache process is still using memory and is still running on the server itself.

I can go to the command line and physically kill the processes that are hung up which will clear the server-status and have apache continuing to run as normal, but this is not a very hands free.

I am unsure, because i have not let this happen, that would happen if i let it hang like this with the total number of servers that I have configured apache to use. 

I hope i have given you enough information here to help.
Comment 1 William A. Rowe Jr. 2018-11-07 21:09:51 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.